using System;
using System.Collections.Generic;
using System.Text;
// include the signatures for the ODBC classes
using System.Data.Odbc;

namespace Demo1
{
	class Program
	{
		static string connectionString = "DRIVER={MySQL ODBC 3.51 Driver};SERVER=oberon.cs.wisc.edu;PORT=3400;DATABASE=cs640_39;USER=cs640_39;PASSWORD=651560;OPTION=3;";

		static void Main(string[] args)
		{
			OdbcConnection connection = new OdbcConnection(connectionString);			// instantiate connection
			OdbcCommand command = new OdbcCommand();									// instantiate an ODBC command

			command.Connection = connection;											// associate the connection with the command
			command.CommandText = "select distinct state from people order by state;";	// a simple select statement
			connection.Open();															// open the connection

			OdbcDataReader reader = command.ExecuteReader();							// instantiate a reader by executing command

			while (reader.Read())														// while there is data to read
			{
				Console.WriteLine(reader[0].ToString());								// print the first (only) column
			}

			reader.Close();																// close reader - destructor would actually do this for me
			connection.Close();															// close the connection - destructor would actually do this for me

			Console.WriteLine("Hit return to exit.");
			Console.Read();
		}
	}
}
