using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.Odbc;

/*
 * Demo 3
 * 
 * Just like Demo 2 but showing a counted grouped select statement.
 */

namespace Demo3
{
	class Program
	{
		static string connectionString = "DRIVER={MySQL ODBC 3.51 Driver};SERVER=oberon.cs.wisc.edu;PORT=3400;DATABASE=cs640_39;USER=cs640_39;PASSWORD=651560;OPTION=3;";

		static void Main(string[] args)
		{
			OdbcConnection connection = new OdbcConnection(connectionString);
			OdbcCommand command = new OdbcCommand();
			OdbcDataReader reader = null;

			command.Connection = connection;
			command.CommandText = "select state,count(state) from people group by state order by state;";

			try
			{
				connection.Open();

				reader = command.ExecuteReader();

				while (reader.Read())
				{
					Console.WriteLine(string.Format("{0} {1}", reader[0].ToString(), reader[1].ToString()));
				}
			}
			catch (Exception e)
			{
				Console.Error.WriteLine(e.Message);
			}
			finally
			{
				if (reader != null && !reader.IsClosed)
					reader.Close();
				if (connection.State == ConnectionState.Open)
					connection.Close();
			}

			Console.WriteLine("Hit return to exit.");
			Console.Read();
		}
	}
}
